# BoxGeometryUpdater

#### new Cesium.BoxGeometryUpdater(entity, scene)
DataSources/BoxGeometryUpdater.js 73

A `GeometryUpdater` for boxes. Clients do not normally create this class directly, but instead rely on `DataSourceDisplay`.

Name | Type | Description
--- | --- | ---
`entity` | Entity | The entity containing the geometry to be visualized.
`scene` | Scene | The scene where visualization is taking place.

### Members

#### readonlyterrainOffsetProperty : TerrainOffsetProperty
DataSources/BoxGeometryUpdater.js 97

Gets the terrain offset property

### Methods

#### createFillGeometryInstance(time) → GeometryInstance
DataSources/BoxGeometryUpdater.js 112

Creates the geometry instance which represents the fill of the geometry.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to use when retrieving initial attribute values.

##### Returns:

The geometry instance representing the filled portion of the geometry.

##### Throws:

- DeveloperError : This instance does not represent a filled geometry.

#### createOutlineGeometryInstance(time) → GeometryInstance
DataSources/BoxGeometryUpdater.js 164

Creates the geometry instance which represents the outline of the geometry.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to use when retrieving initial attribute values.

##### Returns:

The geometry instance representing the outline portion of the geometry.

##### Throws:

- DeveloperError : This instance does not represent an outlined geometry.